
import java.io.FileInputStream;
import java.util.Properties;

public class MessageSupportFactory {

    private static MessageSupportFactory instance = null;

    private Properties props = null;

    private View renderer = null;

    private Model provider = null;

    private MessageSupportFactory() {
        props = new Properties();

        try {
            props.load( MessageSupportFactory.class.getResource("msf.properties").openStream());

            // get the implementation classes
            String rendererClass = props.getProperty("renderer.class");
            String providerClass = props.getProperty("provider.class");

            renderer = (View) Class.forName(rendererClass).newInstance();
            provider = (Model) Class.forName(providerClass).newInstance();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

    static {
        instance = new MessageSupportFactory();
    }

    public static MessageSupportFactory getInstance() {
        return instance;
    }

    public View getView() {
        return renderer;
    }

    public Model getModel() {
        return provider;
    }

}